//GridEye to Labview test

#include "Platform.h"

i2c_Port* pI2C1;

char s[255]; //string buffer

void Setup()
{
    printf("Setup...\n");

    i2c_Setup(pI2C1, I2C1_SCLPIN, I2C1_SDAPIN, I2C1_SPEED, I2C1_PULLUP); //setup(i2c_Port*, scl, sda, khz, pullup) 
    printf("I2C Driver started.\n");


    GridEye_begin(pI2C1, GridEye_DEFAULT_ADDRESS);

	
}



void Loop()
{

    //Scan the I2C Bus I2CBus1
    //ScanI2CBus(pI2C1);

    //Update GridEye data
	GridEye_GetVgaMap();

	float *TempArray;
	TempArray = GridEye_GetTemps(); //get float temp array
	gets(s);
	_waitms(5);
	for (int row = 0; row < 8; row++)
	{
		printf("%.2f\t%.2f\t%.2f\t%.2f\t%.2f\t%.2f\t%.2f\t%.2f\r", TempArray[row*8+0], TempArray[row * 8 + 1], TempArray[row * 8 + 2]
			, TempArray[row * 8 + 3], TempArray[row * 8 + 4], TempArray[row * 8 + 5], TempArray[row * 8 + 6], TempArray[row * 8 + 7]);
	}
	printf("\n");
}

int main()
{
	_setbaud(921600);// 460800)

    Setup();

    for (;;)
    {
        Loop();
        _waitms(10);
    }



}
